cmake_minimum_required(VERSION 2.8.11)

include (libjsoncpp)

project(jsoncpp)

include_directories(../../../src)

file(
	GLOB
	source_files
	../../src/lib_json/json_reader.cpp
	../../src/lib_json/json_value.cpp
	../../src/lib_json/json_writer.cpp
)

set(CMAKE_CXX_FLAGS "-std=c++11 -Wall -Wextra -pedantic -Werror=strict-aliasing")

add_library(
        jsoncpp
        SHARED
        ${source_files}
)

target_include_directories (jsoncpp PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
